/** @format */

import {
  defineConfig,
  presetAttributify,
  presetIcons,
  presetTypography,
  presetUno,
  presetWebFonts,
  presetWind,
  transformerDirectives,
  transformerVariantGroup,
} from 'unocss'

// @unocss-include

export default defineConfig({
  shortcuts: [
    ['w-1200-auto', 'w-1200px mx-auto'],
  ],
  rules: [
    [
      /^view-transition-([\w-]+)$/,
      ([, name]) => ({ 'view-transition-name': name }),
    ],
  ],
  theme: {
    colors: {
      primary: '#C58C64',
    },
  },
  presets: [
    presetUno(),
    presetWind(),
    presetAttributify(),
    presetIcons({
      scale: 1.2,
    }),
    presetTypography(),
  ],
  transformers: [transformerDirectives(), transformerVariantGroup()],
})
